OpenNMS API 1.2.9

## org.opennms.netmgt.mock
Class MockNetworkTest.StatusChecker

    java.lang.Object
      org.opennms.netmgt.mock.MockVisitorAdapter
          org.opennms.netmgt.mock.MockNetworkTest.StatusChecker

All Implemented Interfaces:
  MockVisitor

Enclosing class:
  MockNetworkTest

class MockNetworkTest.StatusChecker
extends MockVisitorAdapter

Field Summary
`(package private) int` `m_expectedStatus`
`(package private) int` `m_serviceCount`

Constructor Summary
`MockNetworkTest.StatusChecker(int status)`

Method Summary
`int` `getServiceCount()`
`void` `resetServiceCount()`
`void` `setExpectedStatus(int status)`
`void` `visitService(MockService service)`

Methods inherited from class org.opennms.netmgt.mock.MockVisitorAdapter
`visitContainer, visitElement, visitInterface, visitNetwork, visitNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_expectedStatus

    int m_expectedStatus

### m_serviceCount

    int m_serviceCount

Constructor Detail

### MockNetworkTest.StatusChecker

    public MockNetworkTest.StatusChecker(int status)

Method Detail

### getServiceCount

    public int getServiceCount()

### resetServiceCount

    public void resetServiceCount()

### setExpectedStatus

    public void setExpectedStatus(int status)

### visitService

    public void visitService(MockService service)

  Specified by:
    `visitService` in interface `MockVisitor`
  Overrides:
    `visitService` in class `MockVisitorAdapter`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.